/********************************************************************************
*                                                                     
*       Copyright (C) 2008 Freescale Semiconductor, Inc.              
*       All Rights Reserved								              
*														              
* Filename:     interrupt.c                
*														              
* Revision:      										              
*														              
* Functions:    Includes interrupt service routines
*         
* Description:  
*
* Notes:        
*
*********************************************************************************/

/*********************************** Includes ***********************************/
#include <hidef.h> /* for EnableInterrupts macro */
#include "derivative.h" /* include peripheral declarations */
#include "sci_drv.h" /* SCI Terminal driver header file */

/*********************************** Macros ************************************/

/*********************************** Defines ***********************************/

/********************************** Constant ***********************************/

/*********************************** Variables *********************************/

/*********************************** Prototype *********************************/

/*********************************** Function **********************************/

/*******************************************************************************
 * Interrupt:       SCI1_ERR_ISR
 *
 * Description:     SCI1 Error interrupt handler
 *
 * Returns:         None
 *
 * Notes:
 *
 *******************************************************************************/
interrupt VectorNumber_Vsci1err void SCI1_ERR_ISR (void)
{
  while(1)
    {
    }
}

/*******************************************************************************
 * Interrupt:       SCI1_RX_ISR
 *
 * Description:     SCI1 Receive interrupt handler
 *
 * Returns:         None
 *
 * Notes:
 *
 *******************************************************************************/
interrupt VectorNumber_Vsci1rx void SCI1_RX_ISR (void)
{
  while(1)
    {
    }
}

/*******************************************************************************
 * Interrupt:       SCI1_TX_ISR
 *
 * Description:     SCI1 Transmit interrupt handler
 *
 * Returns:         None
 *
 * Notes:
 *
 *******************************************************************************/
interrupt VectorNumber_Vsci1tx void SCI1_TX_ISR (void)
{
  while(1)
    {
    }
}

/*******************************************************************************
 * Interrupt:       ADC1_ISR
 *
 * Description:     ADC1 interrupt handler
 *
 * Returns:         None
 *
 * Notes:
 *
 *******************************************************************************/
interrupt VectorNumber_Vadc1 void ADC1_ISR (void)
{
  while(1)
    {
    }
}

/*******************************************************************************
 * Interrupt:       ADC2_ISR
 *
 * Description:     ADC1 interrupt handler
 *
 * Returns:         None
 *
 * Notes:
 *
 *******************************************************************************/
interrupt VectorNumber_Vadc2 void ADC2_ISR (void)
{
  while(1)
    {
    }
}

/*******************************************************************************
 * Interrupt:       ADC3_ISR
 *
 * Description:     ADC1 interrupt handler
 *
 * Returns:         None
 *
 * Notes:
 *
 *******************************************************************************/
interrupt VectorNumber_Vadc3 void ADC3_ISR (void)
{
  while(1)
    {
    }
}

/*******************************************************************************
 * Interrupt:       ADC4_ISR
 *
 * Description:     ADC1 interrupt handler
 *
 * Returns:         None
 *
 * Notes:
 *
 *******************************************************************************/
interrupt VectorNumber_Vadc4  void ADC4_ISR (void)
{
  while(1)
    {
    }
}

/*******************************************************************************
 * Interrupt:       PDB_ISR
 *
 * Description:     PDB interrupt handler
 *
 * Returns:         None
 *
 * Notes:
 *
 *******************************************************************************/
interrupt VectorNumber_Vpdb  void PDB_ISR (void)
{
  while(1)
    {
    }
}

/*******************************************************************************
 * Interrupt:       DUMMY_ISR
 *
 * Description:     dummy isr handler
 *
 * Returns:         None
 *
 * Notes:
 *
 *******************************************************************************/
void DUMMY_ISR (void)
{
  while(1)
    {
    }
}
